<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
$(document).ready(function(){
	
	var inputComentarios = $("#edtComentarios");
	var reqComentarios = $("#req-Comentarios");
	var inputCorreo1 = $("#edtCorreo1");
	var reqCorreo1 = $("#req-Correo1");
	var inputCorreo = $("#edtCorreo2");
	var reqCorreo = $("#req-Correo2");
	
	function validarComentarios(){
		$("#message").html('');
		if(inputComentarios.val().length < 10){
			inputComentarios.addClass("error2");
			reqComentarios.addClass("error2");
			$("#req-Comentarios").html("Escriba Mín. 10 caracteres para enviar comentario.");
			return false;			
		}
		else{
			inputComentarios.removeClass("error2");
			reqComentarios.removeClass("error2");
			$("#req-Comentarios").html("");
			return true;
		}
	}
	function validarCorreo1(){
		if(inputCorreo1.val().length < 6 ){
			inputCorreo1.addClass("error2");
			reqCorreo1.addClass("error2");
			$("#req-Correo1").html("Escriba un Email válido.");
			$("#req-Correo1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;			
		}
		else if(!inputCorreo1.val().match(/^[^\s()<>@,;:\/]+@\w[\w\.-]+\.[a-z]{2,}$/i)){
			inputCorreo1.addClass("error2");
			reqCorreo1.addClass("error2");
			$("#req-Correo1").html("Escriba un Email válido.");
			$("#req-Correo1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputCorreo1.removeClass("error2");
			reqCorreo1.removeClass("error2");
			$("#req-Correo1").html("");
			$("#req-Correo1Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarCorreo(){
		if(inputCorreo.val().length < 6 ){
			inputCorreo.addClass("error2");
			reqCorreo.addClass("error2");
			$("#req-Correo2").html("Escriba un Email válido.");
			$("#req-Correo2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;			
		}
		else if(!inputCorreo.val().match(/^[^\s()<>@,;:\/]+@\w[\w\.-]+\.[a-z]{2,}$/i)){
			inputCorreo.addClass("error2");
			reqCorreo.addClass("error2");
			$("#req-Correo2").html("Escriba un Email válido.");
			$("#req-Correo2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputCorreo.removeClass("error2");
			reqCorreo.removeClass("error2");
			$("#req-Correo2").html("");
			$("#req-Correo2Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	inputComentarios.blur(validarComentarios);
	inputCorreo.blur(validarCorreo);
	
	$('#AltaComentario').submit(function() {
		if($("[name=checkCorreo]:checked").val() == 1){
			if(validarCorreo1() & validarComentarios())
				AltaComentario();
			else 
				return false;
		} else if($("[name=checkCorreo]:checked").val() == 2){
			if(validarCorreo() & validarComentarios())
				AltaComentario();
			else
				return false;
		}
		return false;
	});
	function AltaComentario() {
		$.ajax({
			type: "POST",
			data: "Opcion="+$("[name=checkCorreo]:checked").val()+"&Comentario="+$('#edtComentarios').val()+"&Correo="+$("#edtCorreo2").val()+"",	  
			url: "ProcesarComentario.php",
			success: function(response)	{
				if(response == 'envioCorreo'){
					$.growlUI('Comentario enviado', 'Satisfactoriamente!');
					$("#message").html("<p class='success'>Su Comentario se ha enviado satisfactoriamente!</p>");
				}else
					$('#message').html(response);
			}
		});
	}
});	
	function habilitarCorreo1(){
		$("#edtCorreo2").attr('disabled', '-1');
		$("#edtCorreo2").removeClass("error2");
		$("#req-Correo2").html("");
		$("#edtComentarios").removeClass("error2");
		$("#req-Comentarios").html("");
		$("#req-Correo2Img").html("");
	}
	function habilitarCorreo2(){
		$("#edtCorreo1").removeClass("error2");
		$("#req-Correo1").html("");
		$("#edtCorreo2").removeAttr('disabled');
		$("#req-Correo1Img").html("");
		$("#req-Comentarios").html("");
	}
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" scope="col">
    <div id="dialog" class="dialog" title="Información de Comentarios">
        <p>Si desea realizar un Comentario: 
        <br></br>* Elija el Correo Electrónico al que se le enviará la respuesta.
        <br></br>* Por Default esta elegido el Correo Electrónico del cliente.
        <br></br>* Si desea usar otro Correo Electrónico elija la 2da opción y escriba el Correo Electrónico válido.
        <br></br>* Escriba el Mensaje.
        <br></br>* Oprima el botón 'Enviar Comentario'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">
    <form id="AltaComentario" name="AltaComentario" action= "" method="post">
    <table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td id="Titulo"  colspan="2" align="center" scope="col">Comentarios y Sugerencias.</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="col"><img src="images/Informacion.png" width="15" height="15" /><b class="error"> Seleccione el Correo Electrónico en el que recibirá la respuesta:</b></td>
        </tr>
      <tr>
        <td colspan="2" align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td width="200" align="left" scope="col">&nbsp;</td>
        <td width="350" align="left" scope="col"><input name="checkCorreo" type="radio" id="checkCorreo1" value="1" checked="checked" onClick="habilitarCorreo1()"/>
        <b><label>Correo Actual:  </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col" title="<? echo $_SESSION['email'];?>"><input class="txt" name="edtCorreo1" type="text" disabled="disabled" id="edtCorreo1" value="<? echo $_SESSION['email'];?>" /><span id="req-Correo1Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col" title="<? echo $_SESSION['email'];?>"><b><span id="req-Correo1" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col"><input type="radio" name="checkCorreo" id="checkCorreo2" value="2" onClick="habilitarCorreo2()" />
        <b><label>Correo Nuevo: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col"><input class="txt" name="edtCorreo2" type="text" disabled="disabled" id="edtCorreo2" title="Escribe el Correo Electrónico donde recibiras la respuesta."/><span id="req-Correo2Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col"><b><span id="req-Correo2" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="col"><b><label>Nombre: </label></b><? echo utf8_encode($_SESSION['Nombre']);?></td>
        </tr>
      <tr>
        <td scope="row">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><b>Escribe el comentario a continuación:</b></td>
        </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><textarea name="edtComentarios" id="edtComentarios"  class="TexTarea" cols="60" rows="7" title="Escriba el comentario."></textarea></td>
        </tr>
      <tr>
        <td colspan="2" scope="row"></td>
        </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><b><span id="req-Comentarios" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="row">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><input class="submit" type="submit" name="submit" id="submit" value="Enviar Comentario" title="Enviar el Comentario."></td>
        </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><b><div id="message"></div></b></td>
        </tr>
    </table>
    </form>
    </td>
  </tr>
  <tr>
    <td align="center" scope="row"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>